import { ReactElement } from 'react';
export interface KaSelectBoxOptionListType {
    value: string;
    label: string;
    subItems?: KaSelectBoxOptionListType[];
    isDisabled?: boolean;
    img?: string | ReactElement;
}
export interface KaSelectBoxProps {
    optionList: KaSelectBoxOptionListType[];
    onSelect: (value: string) => void;
    selectedValue: string;
    placeholder?: string;
    indentIcon?: boolean;
    containerStyle?: React.CSSProperties;
    maxHeight?: string;
    isError?: boolean;
    disabled?: boolean;
}
export declare const KaSelectBox: ({ optionList, placeholder, onSelect, selectedValue, containerStyle, maxHeight, indentIcon, isError, disabled, }: KaSelectBoxProps) => ReactElement;
